%define major 2
%define apiver 2
%define libname %mklibname lzo %{apiver} %{major}
%define develname %mklibname lzo -d

%define minilzo_major 0
%define minilzo_libname %mklibname minilzo %{minilzo_major}

Summary:	Data compression library with very fast (de-)compression
Name:		liblzo
Version:	2.09
Release:	%mkrel 1
License:	GPLv2
Group:		System/Libraries
URL:		http://www.oberhumer.com/opensource/lzo/
Source0:	http://www.oberhumer.com/opensource/lzo/download/lzo-%{version}.tar.xz

%description
LZO is a portable lossless data compression library written in ANSI C. 
It offers pretty fast compression and *very* fast decompression. 
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while 
still decompressing at this very high speed.

%package -n	%{libname}
Summary:	Data compression library with very fast (de-)compression
Group:		System/Libraries
Provides:	%{name}

%description -n %{libname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.

%package -n	%{minilzo_libname}
Summary:	Mini version of lzo for apps which don't need the full version
Group:		System/Libraries

%description -n %{minilzo_libname}
A small (mini) version of lzo for embedding into applications which don't need
full blown lzo compression support.

%package -n	%{develname}
Summary:	Headers files of liblzo library
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	%{minilzo_libname} = %{version}
Provides:	%{name}2-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	minilzo-devel = %{version}-%{release}
Obsoletes:	%mklibname lzo 2_2 -d

%description -n %{develname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.                    

%prep
%setup -qn lzo-%{version}

%build
export CONFIGURE_TOP=`pwd`

mkdir -p shared
cd shared
%configure2_5x	--enable-shared
%make
cd ..

# build minilzo too (rhbz 439979)
gcc %{optflags} -fpic -Iinclude/lzo -o minilzo/minilzo.o -c minilzo/minilzo.c
gcc -g -shared -o libminilzo.so.%{minilzo_major} -Wl,-soname,libminilzo.so.%{minilzo_major} minilzo/minilzo.o

%check
cd shared
make check
make test

%install
%makeinstall_std -C shared
install -m755 shared/lzotest/lzotest -D %{buildroot}%{_bindir}/lzotest

install -m 755 libminilzo.so.%{minilzo_major} %{buildroot}%{_libdir}
ln -s libminilzo.so.%{minilzo_major} %{buildroot}%{_libdir}/libminilzo.so
install -p -m 644 minilzo/minilzo.h %{buildroot}%{_includedir}/lzo

rm -rf %{buildroot}%{_datadir}/doc/lzo

%files -n %{libname}
%doc AUTHORS NEWS README THANKS doc/LZO.TXT doc/LZO.FAQ
%{_libdir}/*%{apiver}.so.%{major}*

%files -n %{minilzo_libname}
%doc minilzo/README.LZO
%{_libdir}/libminilzo.so.%{minilzo_major}

%files -n %{develname}
%doc doc/LZOAPI.TXT doc/LZOTEST.TXT
%{_bindir}/lzotest
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*


%changelog
* Mon Oct 19 2015 bb <bb> 2.09-1pclos2015
- update for 2015
